Name:        3270-nerd-fonts
Version:     3.4.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/3270.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 3270NerdFont-Condensed.ttf %{buildroot}%{_datadir}/fonts/%{name}/3270NerdFont-Condensed.ttf
install -Dm644 3270NerdFontMono-Condensed.ttf %{buildroot}%{_datadir}/fonts/%{name}/3270NerdFontMono-Condensed.ttf
install -Dm644 3270NerdFontPropo-Condensed.ttf %{buildroot}%{_datadir}/fonts/%{name}/3270NerdFontPropo-Condensed.ttf
install -Dm644 3270NerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/3270NerdFont-Regular.ttf
install -Dm644 3270NerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/3270NerdFontMono-Regular.ttf
install -Dm644 3270NerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/3270NerdFontPropo-Regular.ttf
install -Dm644 3270NerdFont-SemiCondensed.ttf %{buildroot}%{_datadir}/fonts/%{name}/3270NerdFont-SemiCondensed.ttf
install -Dm644 3270NerdFontMono-SemiCondensed.ttf %{buildroot}%{_datadir}/fonts/%{name}/3270NerdFontMono-SemiCondensed.ttf
install -Dm644 3270NerdFontPropo-SemiCondensed.ttf %{buildroot}%{_datadir}/fonts/%{name}/3270NerdFontPropo-SemiCondensed.ttf

%files

%{_datadir}/fonts/%{name}/3270NerdFont-Condensed.ttf
%{_datadir}/fonts/%{name}/3270NerdFontMono-Condensed.ttf
%{_datadir}/fonts/%{name}/3270NerdFontPropo-Condensed.ttf
%{_datadir}/fonts/%{name}/3270NerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/3270NerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/3270NerdFontPropo-Regular.ttf
%{_datadir}/fonts/%{name}/3270NerdFont-SemiCondensed.ttf
%{_datadir}/fonts/%{name}/3270NerdFontMono-SemiCondensed.ttf
%{_datadir}/fonts/%{name}/3270NerdFontPropo-SemiCondensed.ttf
%license "LICENSE.txt"
%doc "README.md"

%changelog
* Sat May 10 2025 Kyle Bloom <kylejbloom@gmail.com> - 3.4.0-1
- Updated to version v3.4.0

* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
